// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_propulsion/pps_sky1
{
	qer_editorimage env/ut4_propulsion/purplenebula_bk.tga
	
	skyparms env/ut4_propulsion/purplenebula 512 -
	
	q3map_sunEXT 0.8 0.6 0.5 20 320 20 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 350 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}


// ---=== No Damage ===---
textures/ut4_propulsion/e8clangfloor04warn2:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8support06b:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8wrntrim:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8support06:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8support05:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8warning2:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8_base1b:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8cretefloor01:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8cretesmlltrim:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8crete03c:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8clangfloor05:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8support03b_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8_base1c:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8base_blue:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8support02b:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8support03b_blue:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8cretefloor02:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8crete03f:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8crete03b:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8cretefloor01c:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8crete_pillar:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8clangwarnmix_b:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8cretefloor01b:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8supporttrim01:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8clangfloor04warn:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8cretesupport_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8support04b_blue:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8support04b_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8support01:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8cretesupport_blue:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8base_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8cretefloor_tile:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8clangfloor04b:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8clangfloor05b:q3map
{
	surfaceparm nodamage
}

textures/ut4_propulsion/e8crete03d:q3map
{
	surfaceparm nodamage
}
// ---=== Glass ===---

textures/ut4_propulsion/pps_glass
{
	qer_editorimage textures/kittywumpus/kw_glass_plain.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_propulsion/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_propulsion/pps_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_plain.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_propulsion/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== Ladderclip ===---

textures/ut4_propulsion/pps_ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Arrows ===---

textures/ut4_propulsion/pps_arrowanim
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 900
	qer_editorimage textures/ut4_propulsion/arrow3.tga
	{
		animmap 3 textures/ut4_propulsion/arrow3.tga textures/ut4_propulsion/arrow4.tga textures/ut4_propulsion/arrow1.tga textures/ut4_propulsion/arrow2.tga

	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	alphaFunc GE128
	depthWrite
	rgbGen VERTEX
 	}
}

// ---=== Lasers ===---

textures/ut4_propulsion/pps_las_blue1
{
	qer_editorimage textures/ut4_propulsion/laser_blue1.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	q3map_surfacelight 300

	{
		animmap 12 textures/ut4_propulsion/laser_blue1.jpg textures/ut4_propulsion/laser_blue3.jpg textures/ut4_propulsion/laser_blue1.jpg textures/ut4_propulsion/laser_blue2.jpg textures/ut4_propulsion/laser_blue4.jpg textures/ut4_propulsion/laser_blue2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_propulsion/pps_las_green1
{
	qer_editorimage textures/ut4_propulsion/laser_green1.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
//	cull none
	q3map_surfacelight 300

	{
		animmap 12 textures/ut4_propulsion/laser_green1.jpg textures/ut4_propulsion/laser_green3.jpg textures/ut4_propulsion/laser_green1.jpg textures/ut4_propulsion/laser_green2.jpg textures/ut4_propulsion/laser_green4.jpg textures/ut4_propulsion/laser_green2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_propulsion/pps_las_red1
{
	qer_editorimage textures/ut4_propulsion/laser_red1.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
//	cull none
	q3map_surfacelight 300

	{
		animmap 12 textures/ut4_propulsion/laser_red1.jpg textures/ut4_propulsion/laser_red3.jpg textures/ut4_propulsion/laser_red1.jpg textures/ut4_propulsion/laser_red2.jpg textures/ut4_propulsion/laser_red4.jpg textures/ut4_propulsion/laser_red2.jpg
		blendFunc GL_ONE GL_ONE
	}
}


textures/ut4_propulsion/pps_beam1
{
	qer_editorimage textures/ut4_propulsion/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut4_propulsion/beam_1.tga
                blendFunc add
		tcMod scroll -.0 -.8
        }
}

textures/ut4_propulsion/pps_beam2
{
	qer_editorimage textures/ut4_propulsion/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut4_propulsion/beam_1.tga
                blendFunc add
		tcMod scroll -.0 -.95
        }
}

// ---=== Green SLIME!!! ===---
// ---=== light emitting slime ===---

textures/ut4_propulsion/pps_slime
{
	qer_editorimage textures/ut4_propulsion/slime_grn.tga
	q3map_lightimage textures/ut4_propulsion/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 300
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_propulsion/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_propulsion/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_propulsion/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_propulsion/pps_slimecaulk
{
qer_editorimage textures/ut4_propulsion/slime_grn.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

// ---=== Evil Shaders ===---

textures/ut4_propulsion/e6trim_light_s_nolight
{
	qer_editorimage textures/ut4_propulsion/e6trim_light.tga
	surfaceparm nomarks
	surfaceparm nodamage

	{
		map textures/ut4_propulsion/e6trim_light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_propulsion/e6trim_light_blend.tga
		blendfunc add
	}
}

textures/ut4_propulsion/e8warn2steplight
{
	qer_editorimage textures/ut4_propulsion/e8warn2steplight.tga
	q3map_lightimage textures/ut4_propulsion/e8warn2steplight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 50
	{
		map textures/ut4_propulsion/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_propulsion/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_propulsion/e8minitrimlight
{
	qer_editorimage textures/ut4_propulsion/e8minitrimlight.tga
	q3map_lightimage textures/ut4_propulsion/e8minitrimlight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 250
	{
		map textures/ut4_propulsion/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_propulsion/e8minitrimlight.blend.tga
		blendfunc add
	}
}

textures/ut4_propulsion/e8trimlight2_blue
{
	qer_editorimage textures/ut4_propulsion/e8trimlight2_blue.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/ut4_propulsion/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_propulsion/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_propulsion/e8trimlight2_red
{
	qer_editorimage textures/ut4_propulsion/e8trimlight2_red.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 400
	{
		map textures/ut4_propulsion/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_propulsion/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_propulsion/e8trimlight2_blue-100
{
	qer_editorimage textures/ut4_propulsion/e8trimlight2_blue.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/ut4_propulsion/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_propulsion/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_propulsion/e8trimlight2_red-100
{
	qer_editorimage textures/ut4_propulsion/e8trimlight2_red.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/ut4_propulsion/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_propulsion/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_propulsion/e8trim_bluefx
{
	q3map_lightimage textures/e8trim/evil8_trimfx_b.tga
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ut4_propulsion/e8trim_bluefx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_propulsion/e8trimfx_b.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/ut4_propulsion/e8trim_redfx
{
	q3map_lightimage textures/ut4_propulsion/e8trimfx_r.tga
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ut4_propulsion/e8trim_redfx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_propulsion/e8trimfx_r.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/ut4_propulsion/e8xgirder
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/ut4_propulsion/e8xgirder.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_propulsion/e8xgirder_small
{
	cull disable
	surfaceparm nodamage
	{
		map textures/ut4_propulsion/e8xgirder_small.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_propulsion/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nodamage
	cull disable
	{
		map textures/ut4_propulsion/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_propulsion/e8jumpspawn02_b
{
	qer_editorimage textures/ut4_propulsion/e8jumpspawn02.tga
	q3map_lightimage textures/ut4_propulsion/e8jumpspawn02_fx-b.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/ut4_propulsion/e8jumpspawn02_fx-b.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/ut4_propulsion/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/ut4_propulsion/e8jumpspawn02_r
{
	qer_editorimage textures/ut4_propulsion/e8jumpspawn02.tga
	q3map_lightimage textures/ut4_propulsion/e8jumpspawn02_fx-r.tga
	surfaceparm metalsteps
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map textures/ut4_propulsion/e8jumpspawn02_fx-r.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/ut4_propulsion/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/ut4_propulsion/e8tmtllight2b
{
	qer_editorimage textures/ut4_propulsion/e8tmtllight2b.tga
	q3map_lightimage textures/ut4_propulsion/e8tmtllight2b.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 950
	{
		map textures/ut4_propulsion/e8tmtllight2b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_propulsion/e8tmtllight2b.blend.tga
		blendfunc add
	}
}

textures/ut4_propulsion/evil8_rlight
{
	qer_editorimage textures/ut4_propulsion/e8_rlight.tga
	q3map_lightimage textures/ut4_propulsion/e8_rlight.blend.tga
	surfaceparm nomarks
	surfaceparm nodamage
	q3map_surfacelight 950
	{
		map textures/ut4_propulsion/e8_rlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_propulsion/e8_rlight.blend.tga
		blendfunc add
	}
}

// ---=== mrcleantex shaders ===---

textures/ut4_propulsion/pps_stainls_pnl_shiny
{
	qer_editorimage textures/ut4_propulsion/mrtx_stainls_pnl.tga
	surfaceparm nodamage

	{
		map textures/ut4_propulsion/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_propulsion/mrtx_stainls_pnl.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_propulsion/pps_stainls_trim_02_shiny
{
	qer_editorimage textures/ut4_propulsion/mrtx_stainls_trim_02.tga
	surfaceparm nodamage

	{
		map textures/ut4_propulsion/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_propulsion/mrtx_stainls_trim_02.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_propulsion/pps_stainls_trim_01_shiny
{
	qer_editorimage textures/ut4_propulsion/mrtx_stainls_trim_01.tga
	surfaceparm nodamage

	{
		map textures/ut4_propulsion/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_propulsion/mrtx_stainls_trim_01.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_propulsion/pps_stainls_rib_shiny
{
	qer_editorimage textures/ut4_propulsion/mrtx_stainls_rib.tga
	surfaceparm nodamage

	{
		map textures/ut4_propulsion/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_propulsion/mrtx_stainls_rib.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_propulsion/pps_stainls_rib2_shiny
{
	qer_editorimage textures/ut4_propulsion/mrtx_stainls_rib2.tga
	surfaceparm nodamage
	{
		map textures/ut4_propulsion/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_propulsion/mrtx_stainls_rib2.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_propulsion/pps_stainls_rib2_grt_shiny
{
	qer_editorimage textures/ut4_propulsion/mrtx_stainls_rib2_grt.tga
	surfaceparm nodamage
	{
		map textures/ut4_propulsion/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_propulsion/mrtx_stainls_rib2_grt.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_propulsion/pps_stainls_rib2_red_shiny
{
	qer_editorimage textures/ut4_propulsion/mrtx_stainls_rib2_red.tga
	q3map_lightimage textures/ut4_propulsion/mrtx_stainls_rib2_red.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32
	surfaceparm nodamage

	{
		map textures/ut4_propulsion/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_propulsion/mrtx_stainls_rib2_red.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_propulsion/mrtx_stainls_rib2_red.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/ut4_propulsion/pps_stainls_rib2_blu_shiny
{
	qer_editorimage textures/ut4_propulsion/mrtx_stainls_rib2_blu.tga
	q3map_lightimage textures/ut4_propulsion/mrtx_stainls_rib2_blu.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32
	surfaceparm nodamage

	{
		map textures/ut4_propulsion/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_propulsion/mrtx_stainls_rib2_blu.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_propulsion/mrtx_stainls_rib2_blu.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/ut4_propulsion/pps_stainls_rib2_grn_shiny
{
	qer_editorimage textures/ut4_propulsion/mrtx_stainls_rib2_grn.tga
	q3map_lightimage textures/ut4_propulsion/mrtx_stainls_rib2_grn.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32
	surfaceparm nodamage

	{
		map textures/ut4_propulsion/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_propulsion/mrtx_stainls_rib2_grn.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_propulsion/mrtx_stainls_rib2_grn.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== soc shaders ===---

textures/ut4_propulsion/pps_jpblue_floor15a
{
	qer_editorimage textures/ut4_propulsion/soc_jp15a.tga
	q3map_lightimage textures/ut4_propulsion/soc_jumppadsmall_b.tga	
	q3map_surfacelight 400
	surfaceparm nodamage
	{
		map textures/ut4_propulsion/soc_blue_telep.tga
		tcmod rotate 180
		tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_propulsion/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_propulsion/soc_jp15a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_propulsion/pps_jpred_floor15a
{
	qer_editorimage textures/ut4_propulsion/soc_jp15a.tga
	q3map_lightimage textures/ut4_propulsion/soc_jumppadsmall_r.tga	
	q3map_surfacelight 400
	surfaceparm nodamage
	{
		map textures/ut4_propulsion/soc_red_telep.tga
		tcmod rotate 180
		tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_propulsion/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_propulsion/soc_jp15a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}